Index: src/libbn/noise.c
===================================================================
--- src/libbn/noise.c	(revision 49726)
+++ src/libbn/noise.c	(working copy)
@@ -218,18 +218,6 @@
 }
 
 
-/**
- *@brief
- * Robert Skinner's Perlin-style "Noise" function
- *
- * Results are in the range [-0.5 .. 0.5].  Unlike many
- * implementations, this function provides random noise at the integer
- * lattice values.  However this produces much poorer quality and
- * should be avoided if possible.
- *
- * The power distribution of the result has no particular shape,
- * though it isn't as flat as the literature would have one believe.
- */
 double
 bn_noise_perlin(fastf_t *point)
 {
@@ -538,32 +526,8 @@
 
     return ep;
 }
-/**
- * @brief
- * Procedural fBm evaluated at "point"; returns value stored in
- * "value".
- *
- * @param point          location to sample noise
- * @param ``h_val''      fractal increment parameter
- * @param ``lacunarity'' gap between successive frequencies
- * @param ``octaves''  	 number of frequencies in the fBm
- *
- * The spectral properties of the result are in the APPROXIMATE range
- * [-1..1] Depending upon the number of octaves computed, this range
- * may be exceeded.  Applications should clamp or scale the result to
- * their needs.  The results have a more-or-less gaussian
- * distribution.  Typical results for 1M samples include:
- *
- * @li Min -1.15246
- * @li Max  1.23146
- * @li Mean -0.0138744
- * @li s.d.  0.306642
- * @li Var 0.0940295
- *
- * The function call pow() is relatively expensive.  Therfore, this
- * function pre-computes and saves the spectral weights in a table for
- * re-use in successive invocations.
- */
+
+
 double
 bn_noise_fbm(fastf_t *point, double h_val, double lacunarity, double octaves)
 {
@@ -608,32 +572,6 @@
 } /* bn_noise_fbm() */
 
 
-/**
- * @brief
- * Procedural turbulence evaluated at "point";
- *
- * @return turbulence value for point
- *
- * @param point          location to sample noise at
- * @param ``h_val''      fractal increment parameter
- * @param ``lacunarity'' gap between successive frequencies
- * @param ``octaves''    number of frequencies in the fBm
- *
- * The result is characterized by sharp, narrow trenches in low values
- * and a more fbm-like quality in the mid-high values.  Values are in
- * the APPROXIMATE range [0 .. 1] depending upon the number of octaves
- * evaluated.  Typical results:
- @code
- * Min  0.00857137
- * Max  1.26712
- * Mean 0.395122
- * s.d. 0.174796
- * Var  0.0305536
- @endcode
- * The function call pow() is relatively expensive.  Therfore, this
- * function pre-computes and saves the spectral weights in a table for
- * re-use in successive invocations.
- */
 double
 bn_noise_turb(fastf_t *point, double h_val, double lacunarity, double octaves)
 {
@@ -703,12 +641,7 @@
 
 } /* bn_noise_turb() */
 
-/**
- *@brief
- * A ridged noise pattern
- *
- * From "Texturing and Modeling, A Procedural Approach" 2nd ed p338
- */
+
 double
 bn_noise_ridged(fastf_t *point, double h_val, double lacunarity, double octaves, double offset)
 {
@@ -763,10 +696,7 @@
     return result;
 }
 
-/**
- *
- * From "Texturing and Modeling, A Procedural Approach" 2nd ed
- */
+
 double
 bn_noise_mf(fastf_t *point, double h_val, double lacunarity, double octaves, double offset)
 {
Index: src/libbn/mat.c
===================================================================
--- src/libbn/mat.c	(revision 49726)
+++ src/libbn/mat.c	(working copy)
@@ -87,9 +87,6 @@
 }
 
 
-/**
- * B N _ M A T _ P R I N T
- */
 void
 bn_mat_print(const char *title,
 	     const mat_t m)
@@ -101,9 +98,6 @@
 }
 
 
-/**
- * B N _ M A T _ P R I N T _ V L S
- */
 void
 bn_mat_print_vls(const char *title,
 		 const mat_t m,
@@ -116,12 +110,6 @@
 }
 
 
-/**
- * B N _ A T A N 2
- *
- * A wrapper for the system atan2().  On the Silicon Graphics, and
- * perhaps on others, x==0 incorrectly returns infinity.
- */
 double
 bn_atan2(double y, double x)
 {
@@ -137,14 +125,6 @@
 }
 
 
-/**
- * B N _ M A T _ M U L
- *
- * Multiply matrix "a" by "b" and store the result in "o".
- *
- * This is different from multiplying "b" by "a" (most of the time!)
- * Also, "o" must not be the same as either of the inputs.
- */
 void
 bn_mat_mul(register mat_t o, register const mat_t a, register const mat_t b)
 {
@@ -170,14 +150,6 @@
 }
 
 
-/**
- * B N _ M A T _ M U L 2
- *
- * o = i * o
- *
- * A convenience wrapper for bn_mat_mul() to update a matrix in place.
- * The argument ordering is confusing either way.
- */
 void
 bn_mat_mul2(register const mat_t i, register mat_t o)
 {
@@ -188,14 +160,6 @@
 }
 
 
-/**
- * B N _ M A T _ M U L 3
- *
- * o = a * b * c
- *
- * The output matrix may be the same as 'b' or 'c', but may not be
- * 'a'.
- */
 void
 bn_mat_mul3(mat_t o, const mat_t a, const mat_t b, const mat_t c)
 {
@@ -206,13 +170,6 @@
 }
 
 
-/**
- * B N _ M A T _ M U L 4
- *
- * o = a * b * c * d
- *
- * The output matrix may be the same as any input matrix.
- */
 void
 bn_mat_mul4(mat_t ao, const mat_t a, const mat_t b, const mat_t c, const mat_t d)
 {
@@ -224,13 +181,6 @@
 }
 
 
-/**
- * B N _ M A T X V E C
- *
- * Multiply the matrix "im" by the vector "iv" and store the result in
- * the vector "ov".  Note this is post-multiply, and operates on
- * 4-tuples.  Use MAT4X3VEC() to operate on 3-tuples.
- */
 void
 bn_matXvec(register vect_t ov, register const mat_t im, register const vect_t iv)
 {
@@ -249,14 +199,6 @@
 }
 
 
-/**
- * B N _ M A T _ I N V
- *
- * The matrix pointed at by "input" is inverted and stored in the area
- * pointed at by "output".
- *
- * Calls bu_bomb if matrix is singular.
- */
 void
 bn_mat_inv(register mat_t output, const mat_t input)
 {
@@ -272,19 +214,6 @@
 }
 
 
-/**
- * B N _ M A T _ I N V E R S E
- *
- * The matrix pointed at by "input" is inverted and stored in the area
- * pointed at by "output".
- *
- * Invert a 4-by-4 matrix using Algorithm 120 from ACM.  This is a
- * modified Gauss-Jordan alogorithm Note: Inversion is done in place,
- * with 3 work vectors
- *
- * @return 1 if OK.
- * @return 0 if matrix is singular.
- */
 int
 bn_mat_inverse(register mat_t output, const mat_t input)
 {
@@ -370,12 +299,6 @@
 }
 
 
-/**
- * B N _ V T O H _ M O V E
- *
- * Takes a pointer to a [x, y, z] vector, and a pointer to space for a
- * homogeneous vector [x, y, z, w], and builds [x, y, z, 1].
- */
 void
 bn_vtoh_move(register vect_t h, register const vect_t v)
 {
@@ -384,15 +307,6 @@
 }
 
 
-/**
- * B N _ H T O V _ M O V E
- *
- * Takes a pointer to [x, y, z, w], and converts it to an ordinary
- * vector [x/w, y/w, z/w].  Optimization for the case of w==1 is
- * performed.
- *
- * FIXME: make tolerance configurable
- */
 void
 bn_htov_move(register vect_t v, register const vect_t h)
 {
@@ -411,9 +325,6 @@
 }
 
 
-/**
- * B N _ M A T _ T R N
- */
 void
 bn_mat_trn(mat_t om, register const mat_t im)
 {
@@ -421,15 +332,6 @@
 }
 
 
-/**
- * B N _ M A T _ A E
- *
- * Compute a 4x4 rotation matrix given Azimuth and Elevation.
- *
- * Azimuth is +X, Elevation is +Z, both in degrees.
- *
- * Formula due to Doug Gwyn, BRL.
- */
 void
 bn_mat_ae(register fastf_t *m, double azimuth, double elev)
 {
@@ -464,12 +366,6 @@
 }
 
 
-/**
- * B N _ A E _ V E C
- *
- * Find the azimuth and elevation angles that correspond to the
- * direction (not including twist) given by a direction vector.
- */
 void
 bn_ae_vec(fastf_t *azp, fastf_t *elp, const vect_t v)
 {
@@ -486,15 +382,6 @@
 }
 
 
-/**
- * B N _ A E T _ V E C
- *
- * Find the azimuth, elevation, and twist from two vectors.  Vec_ae is
- * in the direction of view (+z in mged view) and vec_twist points to
- * the viewers right (+x in mged view).  Accuracy (degrees) is used to
- * stabilze flutter between equivalent extremes of atan2(), and to
- * snap twist to zero when elevation is near +/- 90
- */
 void
 bn_aet_vec(fastf_t *az, fastf_t *el, fastf_t *twist, fastf_t *vec_ae, fastf_t *vec_twist, fastf_t accuracy)
 {
@@ -530,11 +417,6 @@
 }
 
 
-/**
- * B N _ V E C _ A E
- *
- * Find a unit vector from the origin given azimuth and elevation.
- */
 void
 bn_vec_ae(vect_t vect, fastf_t az, fastf_t el)
 {
@@ -547,11 +429,6 @@
 }
 
 
-/**
- * B N _ V E C _ A E D
- *
- * Find a vector from the origin given azimuth, elevation, and distance.
- */
 void
 bn_vec_aed(vect_t vect, fastf_t az, fastf_t el, fastf_t distance)
 {
@@ -564,18 +441,6 @@
 }
 
 
-/**
- * B N _ M A T _ A N G L E S
- *
- * This routine builds a Homogeneous rotation matrix, given alpha,
- * beta, and gamma as angles of rotation, in degrees.
- *
- * Alpha is angle of rotation about the X axis, and is done third.
- * Beta is angle of rotation about the Y axis, and is done second.
- * Gamma is angle of rotation about Z axis, and is done first.
- *
- * FIXME: make tolerance configurable
- */
 void
 bn_mat_angles(register fastf_t *mat, double alpha_in, double beta_in, double ggamma_in)
 {
@@ -634,18 +499,6 @@
 }
 
 
-/**
- * B N _ M A T _ A N G L E S _ R A D
- *
- * This routine builds a Homogeneous rotation matrix, given alpha,
- * beta, and gamma as angles of rotation, in radians.
- *
- * Alpha is angle of rotation about the X axis, and is done third.
- * Beta is angle of rotation about the Y axis, and is done second.
- * Gamma is angle of rotation about Z axis, and is done first.
- *
- * FIXME: make tolerance configurable
- */
 void
 bn_mat_angles_rad(register mat_t mat,
 		  double alpha,
@@ -687,16 +540,6 @@
 }
 
 
-/**
- * B N _ E I G E N 2 X 2
- *
- * Find the eigenvalues and eigenvectors of a symmetric 2x2 matrix.
- * (a b)
- * (b c)
- *
- * The eigenvalue with the smallest absolute value is returned in
- * val1, with its eigenvector in vec1.
- */
 void
 bn_eigen2x2(fastf_t *val1, fastf_t *val2, fastf_t *vec1, fastf_t *vec2, fastf_t a, fastf_t b, fastf_t c)
 {
@@ -741,15 +584,6 @@
 }
 
 
-/**
- * B N _ V E C _ P E R P
- *
- * Given a vector, create another vector which is perpendicular to it.
- * The output vector will have unit length only if the input vector
- * did.
- *
- * FIXME: make tolerance configurable
- */
 void
 bn_vec_perp(vect_t new, const vect_t old)
 {
@@ -769,18 +603,6 @@
 }
 
 
-/**
- * B N _ M A T _ F R O M T O
- *
- * Given two vectors, compute a rotation matrix that will transform
- * space by the angle between the two.  There are many candidate
- * matricies.
- *
- * The input 'from' and 'to' vectors need not be unit length.
- * MAT4X3VEC(to, m, from) is the identity that is created.
- *
- * FIXME: make tolerance configurable
- */
 void
 bn_mat_fromto(mat_t m, const vect_t from, const vect_t to)
 {
@@ -856,12 +678,6 @@
 }
 
 
-/**
- * B N _ M A T _ X R O T
- *
- * Given the sin and cos of an X rotation angle, produce the rotation
- * matrix.
- */
 void
 bn_mat_xrot(fastf_t *m, double sinx, double cosx)
 {
@@ -885,12 +701,6 @@
 }
 
 
-/**
- * B N _ M A T _ Y R O T
- *
- * Given the sin and cos of a Y rotation angle, produce the rotation
- * matrix.
- */
 void
 bn_mat_yrot(fastf_t *m, double siny, double cosy)
 {
@@ -914,12 +724,6 @@
 }
 
 
-/**
- * B N _ M A T _ Z R O T
- *
- * Given the sin and cos of a Z rotation angle, produce the rotation
- * matrix.
- */
 void
 bn_mat_zrot(fastf_t *m, double sinz, double cosz)
 {
@@ -943,28 +747,6 @@
 }
 
 
-/**
- * B N _ M A T _ L O O K A T
- *
- * Given a direction vector D of unit length, product a matrix which
- * rotates that vector D onto the -Z axis.  This matrix will be
- * suitable for use as a "model2view" matrix.
- *
- * XXX This routine will fail if the vector is already more or less
- * aligned with the Z axis.
- *
- * This is done in several steps.
- *
- @code
- 1) Rotate D about Z to match +X axis.  Azimuth adjustment.
- 2) Rotate D about Y to match -Y axis.  Elevation adjustment.
- 3) Rotate D about Z to make projection of X axis again point
- in the +X direction.  Twist adjustment.
- 4) Optionally, flip sign on Y axis if original Z becomes inverted.
- This can be nice for static frames, but is astonishing when
- used in animation.
- @endcode
-*/
 void
 bn_mat_lookat(mat_t rot, const vect_t dir, int yflip)
 {
@@ -1020,15 +802,6 @@
 }
 
 
-/**
- * B N _ V E C _ O R T H O
- *
- * Given a vector, create another vector which is perpendicular to it,
- * and with unit length.  This algorithm taken from Gift's arvec.f; a
- * faster algorithm may be possible.
- *
- * FIXME: make tolerance configurable
- */
 void
 bn_vec_ortho(register vect_t out, register const vect_t in)
 {
@@ -1073,16 +846,6 @@
 }
 
 
-/**
- * B N _ M A T _ S C A L E _ A B O U T _ P T
- *
- * Build a matrix to scale uniformly around a given point.
- *
- * @return -1 if scale is too small.
- * @return  0 if OK.
- *
- * FIXME: make tolerance configurable
- */
 int
 bn_mat_scale_about_pt(mat_t mat, const point_t pt, const double scale)
 {
@@ -1108,12 +871,6 @@
 }
 
 
-/**
- * B N _ M A T _ X F O R M _ A B O U T _ P T
- *
- * Build a matrix to apply arbitary 4x4 transformation around a given
- * point.
- */
 void
 bn_mat_xform_about_pt(mat_t mat, const mat_t xform, const point_t pt)
 {
@@ -1130,12 +887,6 @@
 }
 
 
-/**
- * B N _ M A T _ I S _ E Q U A L
- *
- * @return 0 When matrices are not equal
- * @return 1 When matricies are equal
- */
 int
 bn_mat_is_equal(const mat_t a, const mat_t b, const struct bn_tol *tol)
 {
@@ -1181,19 +932,6 @@
 }
 
 
-/**
- * B N _ M A T _ I S _ I D E N T I T Y
- *
- * This routine is intended for detecting identity matricies read in
- * from ascii or binary files, where the numbers are pure ones or
- * zeros.  This routine is *not* intended for tolerance-based
- * "near-zero" comparisons; as such, it shouldn't be used on matrices
- * which are the result of calculation.
- *
- *
- * @return 0 non-identity
- * @return 1 a perfect identity matrix
- */
 int
 bn_mat_is_identity(const mat_t m)
 {
@@ -1201,15 +939,6 @@
 }
 
 
-/**
- * B N _ M A T _ A R B _ R O T
- *
- * Construct a transformation matrix for rotation about an arbitrary
- * axis.  The axis is defined by a point (pt) and a unit direction
- * vector (dir).  The angle of rotation is "ang"
- *
- * FIXME: make tolerance configurable
- */
 void
 bn_mat_arb_rot(mat_t m, const point_t pt, const vect_t dir, const fastf_t ang)
 {
@@ -1265,12 +994,6 @@
 }
 
 
-/**
- * B N _ M A T _ D U P
- *
- * Return a pointer to a copy of the matrix in dynamically allocated
- * memory.
- */
 matp_t
 bn_mat_dup(const mat_t in)
 {
@@ -1282,17 +1005,6 @@
 }
 
 
-/**
- * B N _ M A T _ C K
- *
- * Check to ensure that a rotation matrix preserves axis
- * perpendicularily.  Note that not all matricies are rotation
- * matricies.
- *
- *
- * @return -1 FAIL
- * @return  0 OK
- */
 int
 bn_mat_ck(const char *title, const mat_t m)
 {
@@ -1338,12 +1050,6 @@
 }
 
 
-/**
- * B N _ M A T _ D E T 3
- *
- * Calculates the determinant of the 3X3 "rotation" part of the passed
- * matrix.
- */
 fastf_t
 bn_mat_det3(const mat_t m)
 {
@@ -1357,11 +1063,6 @@
 }
 
 
-/**
- * B N _ M A T _ D E T E R M I N A N T
- *
- * Calculates the determinant of the 4X4 matrix
- */
 fastf_t
 bn_mat_determinant(const mat_t m)
 {
@@ -1391,11 +1092,6 @@
 }
 
 
-/**
- * B N _ M A T _ I S _ N O N _ U N I F
- *
- * FIXME: make tolerance configurable
- */
 int
 bn_mat_is_non_unif (const mat_t m)
 {
@@ -1418,13 +1114,6 @@
 }
 
 
-/**
- * B N _ W R T _ P O I N T _ D I R E C
- *
- * Given a model-space transformation matrix "change",
- * return a matrix which applies the change with-respect-to
- * given "point" and "direc".
- */
 void
 bn_wrt_point_direc(mat_t out, const mat_t change, const mat_t in, const point_t point, const vect_t direc)
 {
Index: src/libbn/tcl.c
===================================================================
--- src/libbn/tcl.c	(revision 49726)
+++ src/libbn/tcl.c	(working copy)
@@ -899,9 +899,6 @@
 }
 
 
-/**
- * B N _ M A T _ P R I N T
- */
 void
 bn_tcl_mat_print(Tcl_Interp *interp,
 		 const char *title,
@@ -914,12 +911,6 @@
 }
 
 
-/**
- * B N _ T C L _ S E T U P
- *@brief
- * Add all the supported Tcl interfaces to LIBBN routines to
- * the list of commands known by the given interpreter.
- */
 void
 bn_tcl_setup(Tcl_Interp *interp)
 {
@@ -954,14 +945,6 @@
 }
 
 
-/**
- * B N _ I N I T
- *@brief
- * Allows LIBBN to be dynamically loade to a vanilla tclsh/wish with
- * "load /usr/brlcad/lib/libbn.so"
- *
- * The name of this function is specified by TCL.
- */
 int
 Bn_Init(Tcl_Interp *interp)
 {
Index: src/libbn/rand.c
===================================================================
--- src/libbn/rand.c	(revision 49726)
+++ src/libbn/rand.c	(working copy)
@@ -32,14 +32,7 @@
 #include "vmath.h"
 #include "bn.h"
 
-/**
- * This is our table of random numbers.  Rather than calling drand48()
- * or random() or rand() we just pick numbers out of this table.  This
- * table has 4096 unique entries with floating point values ranging
- * from the open interval (i.e. exclusive) 0.0 to 1.0 range.
- *
- * There are convenience macros for access in the bn.h header.
- */
+
 const float bn_rand_table[BN_RAND_TABSIZE] = {
     0.39646477f, 0.84048537f, 0.35333610f, 0.44658343f, 0.31869277f, 0.88642843f,
     0.01558285f, 0.58409022f, 0.15936863f, 0.38371587f, 0.69100437f, 0.05885891f,
@@ -729,10 +722,7 @@
 
 double bn_sin_scale = BN_SINTABSIZE / (2.0 * M_PI);
 
-/**
- * table of floating point sine values in the closed (i.e. inclusive)
- * interval -1.0 to 1.0 range.
- */
+
 const float bn_sin_table[BN_SINTABSIZE] = {
     0.0f,		0.00306796f,	0.00613588f,	0.00920375f,
     0.0122715f,	0.0153392f,	0.0184067f,	0.0214741f,
@@ -3634,12 +3624,7 @@
     9e20f, 9e20f, 9e20f, 9e20f, 9e20f, 9e20f, 9e20f, 9e20f, 9e20f, 9e20f
 };
 
-/**
- *			M A T H T A B _ C O N S T A N T
- *@brief
- *  For benchmarking purposes, make the random number table predictable.
- *  Setting to all zeros keeps dithered values at their original values.
- */
+
 void
 bn_mathtab_constant(void)
 {
